# $Revision: 1.18 $, $Date: 2011/04/04 14:05:06 $
#
# Conditional build:
%bcond_with	tests	# perform "make check" (requires mounted /proc)
#
Summary:	GNU libsigsegv - handling page faults in user mode
Summary(pl.UTF-8):	GNU libsigsegv - obsługa błędów segmentacji na poziomie użytkownika
Name:		libsigsegv
Version:	2.10
Release:	1
License:	GPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnu.org/gnu/libsigsegv/%{name}-%{version}.tar.gz
# Source0-md5:	7f96fb1f65b3b8cbc1582fb7be774f0f
URL:		http://libsigsegv.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a library for handling page faults in user mode. A page fault
occurs when a program tries to access to a region of memory that is
currently not available. Catching and handling a page fault is a
useful technique for implementing:
- pageable virtual memory,
- memory-mapped access to persistent databases,
- generational garbage collectors,
- stack overflow handlers,
- distributed shared memory,
- ...

%description -l pl.UTF-8
Biblioteka obsługuje błędy obsługi stron na poziomie użytkownika. Błąd
strony pojawia się gdy program próbuje dostać się do aktualnie
niedostępnego obszaru pamięci. Zbieranie i obsługa błędów stron jest
użyteczną techniką do implementacji:
- stronicowalnej pamięci wirtualnej
- mapowalnej pamięci baz danych
- generowania odśmiecaczy
- błędów przepełnienia stosu
- rozproszonej pamięci współdzielonej
- ...

%prep
%setup -q

%build
CXXFLAGS="%{rpmcxxflags} -fPIC"
CFLAGS="%{rpmcflags} -fPIC"
%configure
%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_includedir}/sigsegv.h
%{_libdir}/libsigsegv.a
%{_libdir}/libsigsegv.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsigsegv.spec,v $
Revision 1.18  2011/04/04 14:05:06  qboosh
- updated to 2.10

Revision 1.17  2010/11/11 08:08:08  qboosh
- updated to 2.9

Revision 1.16  2009/12/13 21:35:35  sparky
- updated to 2.8

Revision 1.15  2009/03/21 19:50:12  pawelz
- new URL

Revision 1.14  2009/03/11 12:58:10  baggins
- rel 2
- here lies smalltalk problem, recompile with -fPIC

Revision 1.13  2008/08/26 19:40:18  qboosh
- updated to 2.6

Revision 1.12  2007/11/30 21:20:20  qboosh
- updated to 2.5

Revision 1.11  2007-02-13 06:46:52  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.9  2006/06/28 11:16:23  qboosh
- updated to 2.4

Revision 1.8  2006/05/13 10:20:51  qboosh
- updated to 2.3 (with gcc4 support)

Revision 1.7  2005/03/04 07:02:53  qboosh
- updated to 2.2

Revision 1.6  2004/08/18 15:55:51  havner
- fixed config.sub
- rel 3

Revision 1.5  2004/08/18 12:36:50  qboosh
- BR: automake

Revision 1.4  2004/08/18 10:16:53  domelu
- config.sub
- rel 2

Revision 1.3  2003/12/05 10:44:18  qboosh
- tests work on alpha, but require mounted /proc; bcond added (off by default)
- cleanups

Revision 1.2  2003/12/04 23:48:42  undefine
- disable make check on alphas

Revision 1.1  2003/12/04 22:11:43  undefine
- initital pld version, TODO: ac/am
